=== debian/changelog ===
percona-server-mongodb (3.0.5-rel0.7rc) unstable; urgency=medium

  * Update to new Percona Server for MongoDB version 3.0.5

 -- Percona Jenkins <jenkins@vps-utopic-x64-01.ci.percona.com>  Mon, 21 Sep 2015 09:45:54 -0400

percona-server-mongodb (3.0.4) UNRELEASED; urgency=medium

  * Initial release. (Closes: #BLD-285)

 -- Alexey Bychko <alexey.bychko@percona.com>  Thu, 23 Jul 2015 14:10:32 +0600
