## percona-server-mongodb 3.0.10

=== debian/changelog ===
percona-server-mongodb (3.0.10-1.5) unstable; urgency=medium

  * Update to new Percona Server for MongoDB version 3.0.10

 -- Percona Jenkins <jenkins@vps-trusty-x64-01.ci.percona.com>  Fri, 11 Mar 2016 22:45:27 -0500
