## percona-server-mongodb 3.0.12

=== SConstruct ===
--- 
+++ 
@@ -219,8 +219,8 @@
 add_option( "cc-use-shell-environment", "use $CC from shell for C compiler" , 0 , False )
 add_option( "cxx-use-shell-environment", "use $CXX from shell for C++ compiler" , 0 , False )
 add_option( "ld", "linker to use" , 1 , True )
-add_option( "c++11", "enable c++11 support (experimental)", "?", True,
-            type="choice", choices=["on", "off", "auto"], const="on", default="auto" )
+add_option( "c++11", "enable c++11 support (required as of 3.0.5)", "?", True,
+            type="choice", choices=["on"], const="on", default="on" )
 add_option( "disable-minimum-compiler-version-enforcement",
             "allow use of unsupported older compilers (NEVER for production builds)",
             0, False )
@@ -240,6 +240,7 @@
             type="choice", choices=["on", "off"], const="on", default="on")
 add_option( "PerconaFT" , "Enable PerconaFT" , 0 , False )
 add_option( "audit" , "Enable auditing" , 0 , False )
+add_option( "tokubackup", "Enable Hot Backup for the Fractal Tree engine.", 0, False)
 
 # library choices
 js_engine_choices = ['v8-3.12', 'v8-3.25', 'none']
@@ -267,9 +268,6 @@
 
 add_option( "opt", "Enable compile-time optimization", "?", True, "opt",
             type="choice", choices=["on", "off"], const="on" )
-
-add_option( "profiling", "Allow profiling and debugging", "?", True, "profiling",
-            default="on", type="choice", choices=["on", "off"], const="on" )
 
 add_option( "sanitize", "enable selected sanitizers", 1, True, metavar="san1,san2,...sanN" )
 add_option( "llvm-symbolizer", "name of (or path to) the LLVM symbolizer", 1, False, default="llvm-symbolizer" )
@@ -329,3 +327,4 @@
 add_option( "use-new-tools" , "put new tools in the tarball", 0 , False )
 
 add_option( "use-cpu-profiler",
+            "Link against the google-perftools profiler library",
