=== debian/changelog ===
percona-server-mongodb (3.0.12-1.7) unstable; urgency=medium

  * Update to new Percona Server for MongoDB version 3.0.12

 -- Percona Jenkins <alexey.bychko@percona.com>  Fri, 24 Jun 2016 02:56:58 -0400
