## percona-server-mongodb 3.0.15

=== debian/changelog ===
percona-server-mongodb (3.0.15-1.10) unstable; urgency=medium

  * Update to new Percona Server for MongoDB version 3.0.15

 -- Percona Jenkins <jenkins@jenkins-ubuntu-trusty.x64-0ae4f83f-7138-4398-8e02-021edf752930>  Mon, 22 May 2017 09:00:43 -0400
