=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Section: database
 Priority: extra
 Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 9),
-               dh-systemd, librocksdb-dev, libsasl2-dev
+Build-Depends: debhelper (>= 9), debconf, libbz2-dev, libsnappy-dev, pkg-config, 
+							 zlib1g-dev, libzlcore-dev, dh-systemd, libsasl2-dev, g++, cmake
+
 
 Package: percona-server-mongodb
 Architecture: any
@@ -57,7 +58,7 @@
 Package: percona-server-mongodb-dbg
 Architecture: any
 Section: debug
-Depends: percona-server-mondodb (= ${binary:Version}), ${misc:Depends}
+Depends: percona-server-mongodb (= ${binary:Version}), ${misc:Depends}
 Description: Debugging package for Percona Server for MongoDB
  Percona Server for MongoDB is a drop-in high-performance replacement for MongoDB from Percona
