=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,7 @@
 export INSTALLDIR=$(PSMSRC)/install
 export PORTABLE=1
 export TOOLS_TAGS=ssl sasl
+export PATH := /usr/local/go/bin:$(PATH)
 CC = gcc-4.8
 CXX = g++-4.8
 #
@@ -39,7 +40,7 @@
 
 RocksDB:
 	cd $(PSMSRC)/src/third_party/rocksdb; \
-	CC=$(CC) CXX=$(CXX) make -j$(NJOBS) static_lib; \
+	CC=$(CC) CXX=$(CXX) make OPT=-ULZ4 -j$(NJOBS) static_lib; \
 	make install-static INSTALL_PATH=$(INSTALLDIR)
 
 # Finally PSfMDB
@@ -54,10 +55,11 @@
 	for tool in $(MONGOTOOLS) ; do \
 		cd $(PSMSRC)/mongo-tools; \
 		. ./set_gopath.sh; \
-		go build -a -o $(PSMSRC)/bin/$$tool -tags "$(TOOLS_TAGS)" $(PSMSRC)/mongo-tools/$$tool/main/$$tool.go ; \
+		. ./set_tools_revision.sh; \
+	        go build -a -o $(PSMSRC)/bin/$$tool -ldflags "-X github.com/mongodb/mongo-tools/common/options.Gitspec=$$PSMDB_TOOLS_COMMIT_HASH -X github.com/mongodb/mongo-tools/common/options.VersionStr=$$PSMDB_TOOLS_REVISION" -tags "$(TOOLS_TAGS)" $(PSMSRC)/mongo-tools/$$tool/main/$$tool.go; \
 	done
 
-build: compile-mongo-tools PerconaFT RocksDB TokuBackup percona-server-mongodb
+build: PerconaFT RocksDB TokuBackup percona-server-mongodb compile-mongo-tools
 
 override_dh_auto_install:
 	dh_auto_install
